<!DOCTYPE html>
<html>
  <head>
    <title>{% block title %}Dashboard {% endblock %}</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    {% block stylesheets %}
        <!-- Bootstrap -->
        <link href="{{asset('bootstrap/css/bootstrap.min.css')}}" rel="stylesheet">
        <link href="{{asset('css/jquery-ui.css')}}" rel="stylesheet">
        <!-- styles -->
        <link href="{{asset('css/styles.css')}}" rel="stylesheet">
        <link href="{{asset('css/dropzone.css')}}" rel="stylesheet">
        <link href="{{asset('css/select2.css')}}" rel="stylesheet">
        <link rel="stylesheet" href="{{asset('css/spin.css')}}" />

        <link rel="stylesheet" href="{{asset('css/font-awesome/css/all.css')}}" />

        <link rel="stylesheet" href="{{asset('material-design/css/material-design-iconic-font.css')}}" />
        <link rel="stylesheet" href="{{asset('css/hs-menu.css')}}" />

        <link rel="stylesheet" href="{{asset('css/stats.css')}}" />
        <link rel="stylesheet" href="{{asset('vendors/morris/morris.css')}}" />

    {% endblock %}
    <link rel="icon" type="image/png" sizes="32x32" href="/favicon-32x32.png">
    <link rel="icon" type="image/png" sizes="96x96" href="/favicon-96x96.png">
    <link rel="icon" type="image/png" sizes="16x16" href="/favicon-16x16.png">

  
  </head>
  <body>
 
       <!--Start hs Mega Menu-->
<div class="header">
       <header class="hs-menubar">
          <div class="brand-logo"> 
             <a style="color:#FFFFFF;font-size:36px;text-decoration:none;" href="{{path('dashboard')}}">{{app_name}}</a>
          </div>
          <div class="menu-trigger"> <i class="zmdi zmdi-menu"></i></div>
          <div class="more-trigger toggle" data-reveal=".user-penal"> <i class="zmdi zmdi-more-vert"></i></div>
       </header>
       <section class="box-models">
          <ul class="user-penal">
             <li> <a href="{{path('users_profile')}}"><i class="fa fa-user"></i> {{"Profile"|trans}} </a> </li>
             <li class="dropdown">
                <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="fa fa-flag"></i>{{("Language"|trans)}} <b class="caret"></b></a>
                <ul class="dropdown-menu animated fadeInUp">
                    {% for locale in locales %}
                          <li>
                              <a href="{{ path(app.request.get('_route'), app.request.attributes.get('_route_params')|merge({'_locale': locale})) }}">
                                  {{ locale|upper }}
                              </a>
                          </li>
                    {% endfor %}

                </ul>
              </li>
             <li> <a href="{{path('app_logout')}}"> <i class="fa fa-sign-out-alt"></i> {{"Logout"|trans}}  </a> </li>
             
          </ul>
       </section>
       <nav class="hs-navigation">
          <ul class="nav-links">
           
             <li class=""><a href="{{path('dashboard')}}"><span class="icon"><i class="glyphicon glyphicon-home"></i></span> {{"Dashboard"|trans}}</a></li>

             {% if is_granted('ROLE_ADMIN_USERS') or is_granted('ROLE_ADMIN_EMPLOYEES') %}
             <li class="has-child">
                  <span class="its-parent">
                  <span class="icon"> <i class="fa fa-user"></i> 
                  </span>{{"Human Resources"|trans}}</span>
                  <ul class="its-children">
                     {% if is_granted('ROLE_ADMIN_USERS') %}
                     <li><a href="{{path('users')}}"> {{"Users"|trans}}</a> </li>
                     {% endif %}
                     {% if is_granted('ROLE_ADMIN_EMPLOYEES') %}
                     <li><a href="{{path('employees')}}"> {{"Employees"|trans}} </a> </li>
                     {% endif %}
                  </ul>
               </li>
               {% endif  %}
               {% if is_granted('ROLE_ADMIN_CLIENTS') or is_granted('ROLE_ADMIN_INDUSTRIES') or is_granted('ROLE_ADMIN_CUSTOMERS')  %}
               <li class="has-child">
                     <span class="its-parent">
                     <span class="icon"> <i class="fas fa-briefcase"></i> 
                     </span>{{"Clients"|trans}}</span>
                     <ul class="its-children">
                        {% if is_granted('ROLE_ADMIN_CLIENTS') %}
                        <li><a href="{{path('clients')}}"> {{"Clients (Companies)"|trans}}</a> </li>
                        {% endif %}
                        {% if is_granted('ROLE_ADMIN_INDUSTRIES') %}
                        <li><a href="{{path('industry')}}"> {{"Industries"|trans}} </a> </li>
                        {% endif %}
                        {% if is_granted('ROLE_ADMIN_CUSTOMERS') %}
                        <li><a href="{{path('customers')}}"> {{"Customers"|trans}} </a> </li>
                        {% endif %}
                     </ul>
                </li>
                {% endif %}
                {% if is_granted('ROLE_ADMIN_WAREHOUSES') or is_granted('ROLE_ADMIN_CATEGORIES') or is_granted('ROLE_ADMIN_PRODUCTS') or is_granted('ROLE_ADMIN_ATTRIBUTES') %}
                <li class="has-child">
                     <span class="its-parent">
                     <span class="icon"> <i class="fas fa-shopping-cart"></i> 
                     </span>{{"Production"|trans}}</span>
                     <ul class="its-children">
                           {% if is_granted('ROLE_ADMIN_WAREHOUSES') %}
                           <li><a href="{{path('warehouse')}}">{{'Warehouses'|trans}}</a></li>
                           {% endif %}
                           {% if is_granted('ROLE_ADMIN_CATEGORIES') %}
                           <li><a href="{{path('categories')}}">{{"Categories"|trans}}</a></li>
                           {% endif %}
                           {% if is_granted('ROLE_ADMIN_PRODUCTS') %}
                           <li><a href="{{path('products')}}">{{"Products"|trans}}</a></li>
                           {% endif %}
                           {% if is_granted('ROLE_ADMIN_ATTRIBUTES') %}
                           <li><a href="{{path('attribute')}}">{{"Attributes"|trans}}</a></li>
                           <li><a href="{{path('attribute_set')}}">{{"Attribute sets"|trans}}</a></li>
                           {% endif %}
                     </ul>
                </li>
                {% endif %}
                {% if is_granted('ROLE_ADMIN_MANUFACTURERS') or is_granted('ROLE_ADMIN_BRANDS') %}
                <li class="has-child">
                     <span class="its-parent">
                     <span class="icon"> <i class="fas fa-trademark"></i> 
                     </span>{{"Vendors"|trans}}</span>
                     <ul class="its-children">
                           {% if is_granted('ROLE_ADMIN_MANUFACTURERS') %}
                           <li><a href="{{path('manufacturer')}}">{{"Manufacturers"|trans}}</a></li>
                           {% endif %}
                           {% if is_granted('ROLE_ADMIN_BRANDS') %}
                           <li><a href="{{path('brands')}}">{{"Brands"|trans}}</a></li>
                           {% endif %}
                     </ul>
                </li>
                {% endif %}
             {# <li><a href="{{path("permissions")}}"><i class="fas fa-shield-alt"></i>{{'Api Permissions'|trans}}</a></li> #}
             {% if is_granted('ROLE_ADMIN_ORDERS') or is_granted('ROLE_CUSTOMER') %}
             <li><a href="{{path('orders')}}"><span class="icon"><i class="fas fa-money-bill"></i></span>{{"Orders"|trans}}</a></li>
             {% endif %}
             {% if is_granted('ROLE_ADMIN_SETTINGS') %}
             <li><a href="{{path('settings')}}"><span class="icon"><i class="fas fa-cogs"></i></span>{{"Settings"|trans}}</a></li>
             {% endif %}
             {# <li class="has-child">
                <span class="its-parent">
                <span class="icon"> <i class="zmdi zmdi-device-hub"></i> 
                </span>Multilevel Dropdown</span>
                <ul class="its-children">
                   <li><a href="#1"> Sub Item 1.1 </a> </li>
                   <li class="has-child">
                      <span class="its-parent"> Item 1.2 has child</span>
                      <ul class="its-children">
                         <li> <a href="#1">Child Item 1.2.1 </a> </li>
                         <li> <a href="#1"> Child  Item 1.2.2 </a> </li>
                         <li> <a href="#1"> Child Item 1.2.3 </a> </li>
                      </ul>
                   </li>
                   <li> <a href="#1"> Sub Item 1.3 </a> </li>
                   <li> <a href="#1"> Sub Item 1.4 </a></li>
                </ul>
             </li>  #}
             {% if is_granted('ROLE_ADMIN_FINANCE') %}
             <li class="has-child">
               <span class="its-parent">
               <span class="icon"> <i class="fas fa-chart-pie"></i> 
               </span>{{"Finance"|trans}}</span>
               <ul class="its-children">
                 
                  <li><a href="{{path('finance_reports')}}"> {{"Reports"|trans}} </a> </li>
                  <li><a href="{{path('finance')}}"> {{"Additional income / expenses"|trans}} </a> </li>
                  <li><a href="{{path('taxes')}}"> {{"Tax classes"|trans}} </a> </li>
                 
               </ul>
            </li>
            {% endif %}
           
             <!--//has-child-->
          </ul>
       </nav>
       <!--End hs Mega Menu-->
      </div>
    <div class="page-content">
    	<div class="row">

		  <div class="col-md-12">
		  	<div class="row">
               
              {% for success_message in app.flashes('success') %}
              <div class="alert alert-success">
                  {{success_message}}
              </div>
              {% endfor %}

              {% for error_message in app.flashes('error') %}
              <div class="alert alert-danger">
                  {{error_message}}
              </div>
              {% endfor %}
                  {% if app.request.get('_route') not in ["dashboard"] %}
                     <div class="row tst">
                 
                  <div class="col-xs-12" style="padding-bottom:15px;">
                      <div class="content-box-header" style="background:#ffffff;">
                          <div class="panel-title">{{asprega_breadcrumb()}}</div>
                        
                        <div class="panel-options">
                           
                        </div>
                      </div>
                    
                  </div>
              
                  </div>
               {% endif %}
                  
             
              
              {% block body %}
                    
              {% endblock %}
                  
		  	</div>

		  	

		  
		  </div>
		</div>
    </div>

    <footer>
         <div class="container">
         
            <div class="copy text-center">
                <i class="far fa-copyright"></i> {{currentDate('Y')}} <a href='{{path('dashboard')}}'>{{app_name}}</a>
            </div>
            
         </div>
      </footer>
    {% block scripts %}
        <!-- jQuery (necessary for Bootstrap's JavaScript plugins) -->
         <script src="{{asset('js/jquery.js')}}"></script>
        <script src="{{asset('js/jquery-ui.js')}}"></script>
        <!-- Include all compiled plugins (below), or include individual files as needed -->
        <script src="{{asset('bootstrap/js/bootstrap.min.js')}}"></script>
        <script src="{{asset('js/dropzone.js')}}"></script>
        
        <script src="{{asset('js/moment.js')}}"></script>
        <script src="{{asset('js/select2.js')}}"></script>
        <script src="{{asset('bundles/tetranzselect2entity/js/select2entity.js')}}"></script>
        <script src="{{asset('js/jquery.hsmenu.js')}}"></script>

          <script src="{{asset('js/spin.js')}}"></script>
        <script src="{{asset('js/custom.js')}}"></script>

      
     
    {% endblock %}
  </body>
</html>
